%global oname jamon

Name:       jamonapi
Version:    2.73
Release:    %mkrel 2
Summary:    A Java monitoring API
Group:      Development/Java
License:    BSD
URL:        http://jamon.sourceforge.net

# cvs -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi login
# cvs -z3 -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi co -P -r v2_73 jamonapi/src
# tar caf jamonapi-2.73.tar.gz jamonapi
Source0:    jamonapi-2.73.tar.gz
# This POM is completely Fedora-specific
Source1:    jamonapi-2.73.pom
Patch0:     jamonapi-buildxml.patch
Patch1:     jamonapi-jetty8.patch

BuildRequires:   java-devel
BuildRequires:   jpackage-utils
BuildRequires:   ant
BuildRequires:   tomcat-lib
BuildRequires:   tomcat-servlet-3.0-api
BuildRequires:   tomcat-el-2.2-api
BuildRequires:   jetty
BuildRequires:   geronimo-interceptor
BuildRequires:   log4j
BuildRequires:   dos2unix
Requires:        java
Requires:        jpackage-utils
Requires:        tomcat-lib
Requires:        tomcat-servlet-3.0-api
Requires:        tomcat-el-2.2-api
Requires:        jetty
Requires:        geronimo-interceptor
Requires:        log4j
BuildArch:       noarch

%description
A Java monitoring API

%package javadoc
Summary:         API documentation for %{name}
Group:           Development/Java
Requires:        jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
mkdir dist
mkdir lib

%build
pushd src/ant
ant JAR
ant javadoc
popd

# Remove spurious executable permissions
find src/JAMonUsersGuide -type f | xargs chmod -x
find src/JAMonUsersGuide -regex '.*\(xml\|css\|js\)' -o -name package-list | xargs dos2unix

# Remove pregenerated javadoc files in the source tree
rm -rf src/JAMonUsersGuide/javadoc/
# Remove zip file which contains a proprietary binary
rm src/JAMonUsersGuide/JAMon_PB.zip

# There should be a shorter way to do an iconv task, but I do not know of one
pushd src/JAMonUsersGuide/presentation/jamon_files/
mv master04_stylesheet.css master04_stylesheet.css.iso8859-1
iconv -f ISO-8859-1 -t UTF-8 master04_stylesheet.css.iso8859-1 > master04_stylesheet.css
rm master04_stylesheet.css.iso8859-1
popd

%install
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_javadir}
install -m 0644 dist/%{oname}-%{version}.jar ${RPM_BUILD_ROOT}/%{_javadir}/%{name}.jar
ln -s %{name}.jar ${RPM_BUILD_ROOT}/%{_javadir}/%{oname}.jar

install -d -m 0755 ${RPM_BUILD_ROOT}/%{_mavenpomdir}
install -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_mavenpomdir}/JPP-%{oname}.pom

install -d -m 0755 ${RPM_BUILD_ROOT}%{_javadocdir}
cp -rp src/doc/javadoc ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}

%add_maven_depmap JPP-%{oname}.pom %{oname}.jar

%files
%doc src/JAMonUsersGuide
%{_javadir}/%{oname}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{oname}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc src/JAMonUsersGuide/JAMonLicense.html
%{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.73-2.mga3
+ Revision: 354732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.73-1.mga3
+ Revision: 291878
- New version

* Wed Oct 26 2011 gil <gil> 2.7-1.mga2
+ Revision: 158306
- imported package jamonapi

